location:
    source_directories:
{% if application_mountpoints|default(false) %}
{% for mountpoint in application_mountpoints %}
        - {{ mountpoint.path }}
{% endfor %}
{% else %}
        - {{ application_dir }}
{% endif %}
    repositories:
        - /var/backups/borg/{{ application }}_{{ application_id }}
    one_file_system: true
    exclude_patterns:
        - '*.log'
        - '*.pyc'
        - '*/.git'
        - '*/.svn'
        - '*/vendor/*'
        - '*/node_modules/*'
    exclude_caches: true
    exclude_if_present: '.nobackup'
storage:
    encryption_passphrase: '{{ borgbackup.passphrase }}'
    retries: 1
    retry_wait: 300
retention:
    keep_daily: 7
    keep_weekly: 8
    keep_monthly: 12
    keep_yearly: 30
consistency:
    checks:
        - archives
        - data
        - repository
hooks:
    before_backup:
        - echo "`date` - Starting backup"
    after_backup:
        - echo "`date` - Finished backup"
    on_error:
        - /usr/local/bin/alertalerta.py{% if netdata_alerta_project_id is defined %} --pid={{ netdata_alerta_project_id }}{% endif %} {{ inventory_hostname }} {{ netdata_alerta_environment|default("production") }} {{ netdata_alerta_webhook }} {{ netdata_alerta_apikey }} '{"service":["https://www.borgbase.com"],"resource":"{{ inventory_hostname }}","event":"Borg {configuration_filename}","value":"{{ application }} {{ application_id }} {repository}","text":"Borg {configuration_filename}","rawData":"{output}"}'
